Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1057765

Summary: [abrt] lincity-ng: rawmemchr(): lincity-ng killed by SIGSEGV
Product: [Fedora] Fedora Reporter: Bastiaan Jacques <bastiaan>
Component: lincity-ngAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/5a7d2847d8b9ca6dba6ebdeefda9bdef45b99fcd
Whiteboard: abrt_hash:20b98179d58a51cfe8e5a6a858ea63bd41302194
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 14:44:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: core_backtrace
none
File: dso_list
none
File: maps none

Description Bastiaan Jacques 2014-01-24 19:17:42 UTC
Description of problem:
Tried to start a 'new game', which resulted in the program immediately segfaulting.

Version-Release number of selected component:
lincity-ng-2.0-12.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        lincity-ng
crash_function: rawmemchr
executable:     /usr/bin/lincity-ng
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rawmemchr at ../sysdeps/x86_64/rawmemchr.S:37
 #1 _IO_str_init_static_internal at strops.c:44
 #2 _IO_vsscanf at iovsscanf.c:43
 #3 __sscanf at sscanf.c:32
 #4 load_city_2 at src/lincity/loadsave.cpp:297
 #5 loadCityNG at src/lincity-ng/MainLincity.cpp:123
 #6 MainMenu::newGameStartButtonClicked at src/lincity-ng/MainMenu.cpp:611
 #7 operator() at src/gui/callback/Signal.hpp:88
 #8 Button::event at src/gui/Button.cpp:305
 #9 Component::eventChild at src/gui/Component.cpp:103

Potential duplicate: bug 717362

Comment 1 Bastiaan Jacques 2014-01-24 19:17:47 UTC
Created attachment 855158 [details]
File: backtrace

Comment 2 Bastiaan Jacques 2014-01-24 19:17:50 UTC
Created attachment 855159 [details]
File: core_backtrace

Comment 3 Bastiaan Jacques 2014-01-24 19:17:52 UTC
Created attachment 855160 [details]
File: dso_list

Comment 4 Bastiaan Jacques 2014-01-24 19:17:54 UTC
Created attachment 855161 [details]
File: maps

Comment 5 Fedora End Of Life 2015-05-29 10:40:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:44:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.